Bug 1460117 - [abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x0
[abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x0
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:7f50c66208fdeab4389b573943b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 03:42 EDT by Manas
Modified: 2017-12-12 05:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:40:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (566 bytes, text/plain)
2017-06-09 03:42 EDT, Manas
no flags Details
File: dmesg (92.98 KB, text/plain)
2017-06-09 03:42 EDT, Manas
no flags Details
File: dso_list (238 bytes, text/plain)
2017-06-09 03:42 EDT, Manas
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (342 bytes, application/octet-stream)
2017-06-09 03:42 EDT, Manas
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.81 KB, application/octet-stream)
2017-06-09 03:42 EDT, Manas
no flags Details

  None (edit)
Description Manas 2017-06-09 03:42:28 EDT
Description of problem:
The system restarted when I was working in the gnome-terminal.
Post restart, I opened the Problem-Reporting tool. It said gnome-terminal, open-vm, and gnome-shell crashed. I tried reporting all the problems, but it demanded a lot of data, hence I canceled it.

Next, suddenly the system logged out; when logging in, a long list of black-screen messages flashed and the login screen again appeared, instead of getting logged in.

Next, I restarted the system, was able to login, and saw this issue in the PR center.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.19.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
executable:     /usr/bin/Xwayland
kernel:         4.11.3-202.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x139) [0x590de9]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f7df8f3560f]
2: /lib64/libc.so.6 (__strcmp_sse2_unaligned+0x1e) [0x7f7df8bfe66e]
3: /usr/bin/Xwayland (XIGetKnownProperty+0x46) [0x50b986]
4: /usr/bin/Xwayland (AddInputDevice+0x352) [0x54b3f2]
5: /usr/bin/Xwayland (AllocDevicePair+0x54) [0x54fb64]
6: /usr/bin/Xwayland (AllocDevicePair+0x2aa) [0x55002a]
7: /usr/bin/Xwayland (InitFonts+0x3d3) [0x55abc3]
8: /lib64/libc.so.6 (__libc_start_main+0xf1) [0x7f7df8b7e401]
9: /usr/bin/Xwayland (_start+0x2a) [0x423e5a]
Comment 1 Manas 2017-06-09 03:42:32 EDT
Created attachment 1286321 [details]
File: backtrace
Comment 2 Manas 2017-06-09 03:42:35 EDT
Created attachment 1286322 [details]
File: dmesg
Comment 3 Manas 2017-06-09 03:42:37 EDT
Created attachment 1286323 [details]
File: dso_list
Comment 4 Manas 2017-06-09 03:42:38 EDT
Created attachment 1286324 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 5 Manas 2017-06-09 03:42:40 EDT
Created attachment 1286325 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 6 Manas 2017-06-09 03:45:22 EDT
I was also trying to open Skype, which I had clicked over some 2 minutes back and it didn't open, when the crash happened.
Comment 7 Fedora End Of Life 2017-11-16 10:41:46 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 05:40:38 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.